[arch-commits] Commit in gnucash/repos (3 files)

Eric Belanger eric at archlinux.org
Fri May 30 22:34:00 EDT 2008


    Date: Friday, May 30, 2008 @ 22:33:59
  Author: eric
Revision: 2296

fixed svn conflict

Modified:
  gnucash/repos/extra-x86_64/	(properties)
  gnucash/repos/extra-x86_64/PKGBUILD
  gnucash/repos/extra-x86_64/gnucash.install

-----------------+
 PKGBUILD        |   28 +++++++++++-----------------
 gnucash.install |   16 ++++------------
 2 files changed, 15 insertions(+), 29 deletions(-)


Property changes on: gnucash/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gnucash/trunk:1
   + /gnucash/trunk:1-2295

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-05-31 02:30:50 UTC (rev 2295)
+++ extra-x86_64/PKGBUILD	2008-05-31 02:33:59 UTC (rev 2296)
@@ -3,32 +3,26 @@
 # Contributor: Mark Schneider <queueRAM at gmail.com>
 
 pkgname=gnucash
-pkgver=2.2.4
-pkgrel=2
+pkgver=2.2.5
+pkgrel=1
 pkgdesc="A personal and small-business financial-accounting application"
 arch=(i686 x86_64)
 url="http://www.gnucash.org"
 license=("GPL")
-depends=('gtkhtml>=3.18.0' 'swig' 'slib' 'goffice>=0.6.2' 'libgnomeprintui>=2.18.2'
-        'guile>=1.8.4' 'desktop-file-utils>=0.14' 'gconf>=2.18.0.1-4')
-makedepends=('texinfo' 'perlxml' 'gnome-doc-utils>=0.11.2')
-options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+depends=('gtkhtml' 'slib' 'goffice>=0.6.2' 'libgnomeprintui' 'guile' 'gconf>=2.18.0.1-4')
+makedepends=('texinfo' 'intltool')
+options=('!libtool' '!makeflags')
 install=${pkgname}.install
-md5sums=('27e660297dc5b8ce574515779d05a5a5')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('584bf4b08b48cad38b53b85dd1c753e1')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-
-  ./configure --prefix=/usr --mandir=/usr/share/man \
-    --sysconfdir=/etc --libexecdir=/usr/lib/$pkgname
-
+  ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
-    DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas \
-    ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -d -m755 ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
   rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }

Modified: extra-x86_64/gnucash.install
===================================================================
--- extra-x86_64/gnucash.install	2008-05-31 02:30:50 UTC (rev 2295)
+++ extra-x86_64/gnucash.install	2008-05-31 02:33:59 UTC (rev 2296)
@@ -1,25 +1,17 @@
 pkgname=gnucash
 
 post_install() {
-    usr/sbin/gconfpkg --install ${pkgname}
-    update-desktop-database -q
-    gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  usr/sbin/gconfpkg --install ${pkgname}
 }
 
 pre_upgrade() {
-    pre_remove $1
+  pre_remove $1
 }
 
 post_upgrade() {
-    post_install $1
+  post_install $1
 }
 
 pre_remove() {
-    usr/sbin/gconfpkg --uninstall ${pkgname}
+  usr/sbin/gconfpkg --uninstall ${pkgname}
 }
-
-post_remove() {
-    update-desktop-database -q
-    gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-}
-





More information about the arch-commits mailing list